Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateHavePendingNotifications

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateHavePendingNotifications

Enclosing class:
  TdApi

public static final class TdApi.UpdateHavePendingNotifications extends TdApi.Update
Describes whether there are some pending notification updates. Can be used to prevent application from killing, while there are some pending notifications.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`haveDelayedNotifications`
True, if there are some delayed notification updates, which will be sent soon.
`boolean`
`haveUnreceivedNotifications`
True, if there can be some yet unreceived notifications, which are being fetched from the server.

## Constructor Summary

Constructors
Constructor
Description
`UpdateHavePendingNotifications()`
Describes whether there are some pending notification updates.
`UpdateHavePendingNotifications(boolean haveDelayedNotifications, boolean haveUnreceivedNotifications)`
Describes whether there are some pending notification updates.
`UpdateHavePendingNotifications(DataInput input)`
Describes whether there are some pending notification updates.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### haveDelayedNotifications

public boolean haveDelayedNotifications
True, if there are some delayed notification updates, which will be sent soon.

### haveUnreceivedNotifications

public boolean haveUnreceivedNotifications
True, if there can be some yet unreceived notifications, which are being fetched from the server.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UpdateHavePendingNotifications

public UpdateHavePendingNotifications()
Describes whether there are some pending notification updates. Can be used to prevent application from killing, while there are some pending notifications.

### UpdateHavePendingNotifications

public UpdateHavePendingNotifications(boolean haveDelayedNotifications, boolean haveUnreceivedNotifications)
Describes whether there are some pending notification updates. Can be used to prevent application from killing, while there are some pending notifications.

Parameters:
  `haveDelayedNotifications` - True, if there are some delayed notification updates, which will be sent soon.
  `haveUnreceivedNotifications` - True, if there can be some yet unreceived notifications, which are being fetched from the server.

### UpdateHavePendingNotifications

public UpdateHavePendingNotifications(DataInput input) throws IOException
Describes whether there are some pending notification updates. Can be used to prevent application from killing, while there are some pending notifications.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`